LINUX.ORG.RU

[Arch] то ли лыжи не едут...


0

0

Прошу прощения за непредметный заголовок темы, но это действительно какой-то ППЦ. Судя по всему, пакман убил себя при последнем апдейте -- при запуске он теперь говорит:

pacman: error while loading shared libraries: libdownload.so: wrong ELF class: ELFCLASS64

(система конечно 32-битовая). Что это -- моя ошибка или очередной повод перейти на генту?


Re: [Arch] то ли лыжи не едут...

>(система конечно 32-битовая)

А libdownload.so x86_64. Проверьте в /etc/pacman.d/mirrorlist в линке репозитария i686 стоит? :) Не из тестинга случаем обновлялись? Там могут быть пакеты с ошибками.

feanor ★★★ ()

Re: [Arch] то ли лыжи не едут...

>Что это -- моя ошибка или очередной повод перейти на генту?

По теме - за все время ниразу такого небыло. Хочешь валить - вали, плакать и уговаривать никто не будет. Тут глянь http://archlinux.org.ru/forum/viewforum.php?f=6&sid=f33c95a6fff870789b414...

Quark_p ()
Ответ на: Re: [Arch] то ли лыжи не едут... от feanor

Re: [Arch] то ли лыжи не едут...

>Проверьте в /etc/pacman.d/mirrorlist

это было первым подозрением, потому как помню как в старые времена миррорлист иногда переписывался при апдейтах, указывая на этот факт кратким однострочным сообщением. но в этот раз прописано прежнее зеркало. Видимо, придётся руками переставить libdownload или можно штатными средствами поправить это недоразумение?

stormy ()
Ответ на: Re: [Arch] то ли лыжи не едут... от stormy

Re: [Arch] то ли лыжи не едут...

Из тестинга вообще лучше не обновляться. Я оттуда ставлю только одиночные пакеты, собирая в ABS. Там всё может быть, пару раз были циклические зависимости.

feanor ★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.